com.sun.jna.platform.win32

## Class Ddeml.MONCONVSTRUCT

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Ddeml.MONCONVSTRUCT

- Enclosing interface:
    Ddeml

      public static class Ddeml.MONCONVSTRUCT
      extends Structure

  Contains information about a Dynamic Data Exchange (DDE) conversation. A DDE monitoring application can use this structure to obtain information about a conversation that has been established or has terminated.

  Remarks

  Because string handles are local to the process, the hszSvc and hszTopic members are global atoms. Similarly, conversation handles are local to the instance; therefore, the hConvClient and hConvServer members are window handles.

  The hConvClient and hConvServer members of the MONCONVSTRUCT structure do not hold the same value as would be seen by the applications engaged in the conversation. Instead, they hold a globally unique pair of values that identify the conversation.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `WinDef.UINT` | `cb` The structure's size, in bytes.
    `WinDef.DWORD` | `dwTime` The Windows time at which the conversation was established or terminated.
    `WinDef.BOOL` | `fConnect` Indicates whether the conversation is currently established.
    `static java.util.List<java.lang.String>` | `FIELDS`
    `Ddeml.HCONV` | `hConvClient` A handle to the client conversation.
    `Ddeml.HCONV` | `hConvServer` A handle to the server conversation.
    `Ddeml.HSZ` | `hszSvc` A handle to the service name on which the conversation is established.
    `Ddeml.HSZ` | `hszTopic` A handle to the topic name on which the conversation is established.
    `WinNT.HANDLE` | `hTask` A handle to a task (application instance) that is a partner in the conversation.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MONCONVSTRUCT()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.List<java.lang.String>` | `getFieldOrder()` Return this Structure's field names in their proper order.

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### FIELDS

          public static final java.util.List<java.lang.String> FIELDS

    - #### cb

          public WinDef.UINT cb

      The structure's size, in bytes.

    - #### fConnect

          public WinDef.BOOL fConnect

      Indicates whether the conversation is currently established. A value of TRUE indicates the conversation is established; FALSE indicates it is not.

    - #### dwTime

          public WinDef.DWORD dwTime

      The Windows time at which the conversation was established or terminated. Windows time is the number of milliseconds that have elapsed since the system was booted.

    - #### hTask

          public WinNT.HANDLE hTask

      A handle to a task (application instance) that is a partner in the conversation.

    - #### hszSvc

          public Ddeml.HSZ hszSvc

      A handle to the service name on which the conversation is established.

    - #### hszTopic

          public Ddeml.HSZ hszTopic

      A handle to the topic name on which the conversation is established.

    - #### hConvClient

          public Ddeml.HCONV hConvClient

      A handle to the client conversation.

    - #### hConvServer

          public Ddeml.HCONV hConvServer

      A handle to the server conversation.

  - ### Constructor Detail

    - #### MONCONVSTRUCT

          public MONCONVSTRUCT()

  - ### Method Detail

    - #### getFieldOrder

          protected java.util.List<java.lang.String> getFieldOrder()

      Description copied from class: `Structure`
      Return this Structure's field names in their proper order. For example,

           protected List getFieldOrder() {
               return Arrays.asList(new String[] { ... });
           }

      IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

           protected List getFieldOrder() {
               List fields = new ArrayList(super.getFieldOrder());
               fields.addAll(Arrays.asList(new String[] { ... }));
               return fields;
           }

      Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.
      Specified by:
        `getFieldOrder` in class `Structure`
      Returns:
        ordered list of field names

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.